[Bug 241302] Re: package linux-image-generic 2.6.24.19.21 failed to install/upgrade: dependency problems - leaving unconfigured

alparras alparras at gmail.com
Fri Nov 21 14:26:38 UTC 2008


Hi:

i had the same error when try to update:

Errors were encountered while processing:
 linux-image-2.6.24-21-generic
 linux-ubuntu-modules-2.6.24-21-generic
 linux-image-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

i managed to find what that error is produced on grub update, because i
have gfxboot, instead original grub, and update-grub script not run
properly, so i edit file /etc/kernel-img.conf and change lines

postinst_hook = update-grub
postrm_hook   = update-grub

to

postinst_hook = update-grub.real
postrm_hook   = update-grub.real

and that's all!, now kernel configure properly.

-- 
package linux-image-generic 2.6.24.19.21 failed to install/upgrade: dependency problems - leaving unconfigured
https://bugs.launchpad.net/bugs/241302
You received this bug notification because you are a member of Kernel
Bugs, which is subscribed to linux-meta in ubuntu.




More information about the kernel-bugs mailing list